## kcm-fcitx 0.3.0

=== debian/changelog ===
kcm-fcitx (0.3.0-1) unstable; urgency=low

  * New upstream release: for fcitx 4.2.0. 

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 05 Feb 2012 22:22:58 +0800
