=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev,
+Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev (>= 4.2.0),
  intltool, kdelibs5-dev
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/fcitx
