=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/kcm-fcitx-(\d+.*)\.tar\.bz2
