## kcm-fcitx 0.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,15 +18,16 @@
 include(KDE4Defaults)
 
 find_package(PkgConfig REQUIRED)
-FIND_PACKAGE(Gettext REQUIRED)
-find_package(Fcitx 4.1.2 REQUIRED)
-FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
-FIND_PROGRAM(INTLTOOL_UPDATE intltool-update)
-FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)
+find_package(Gettext REQUIRED)
+find_package(Fcitx 4.2.4 REQUIRED)
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
 set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
 set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
 set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
+
+string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" FCITX4_MINOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" FCITX4_PATCH_VERSION "${FCITX4_VERSION}")
 
 EXECUTE_PROCESS(COMMAND "${FCITX4_FCITXCONFIG_EXECUTABLE}" --exec-prefix OUTPUT_VARIABLE FCITX4_EXEC_PREFIX ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
 
@@ -43,4 +44,5 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_subdirectory(src)
+add_subdirectory(layout)
 add_subdirectory(po)
