=== debian/changelog ===
kcm-fcitx (0.3.4-1) unstable; urgency=low

  * Imported Upstream version 0.3.4

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 06 Jun 2012 14:43:31 +0800

kcm-fcitx (0.3.3-1) unstable; urgency=low

  * Fix debian/watch: googlecode
  * Imported Upstream version 0.3.3

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 17:52:41 +0800

kcm-fcitx (0.3.2-1) unstable; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 10 Apr 2012 16:31:49 +0800

kcm-fcitx (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump to standard version to 3.9.3.

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 26 Mar 2012 03:35:01 +0800
