=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev (>= 4.2.0),
  intltool, kdelibs5-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/kcm-fcitx.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/kcm-fcitx.git
