=== debian/changelog ===
kcm-fcitx (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 02 Aug 2013 14:20:37 +0800

kcm-fcitx (0.4.2-1) unstable; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 15 Feb 2013 14:51:53 +0800

kcm-fcitx (0.4.1-1) experimental; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 26 Sep 2012 21:24:14 +0800

kcm-fcitx (0.4.0-2) experimental; urgency=low

  * Fix build on i386 and amd64

 -- Aron Xu <aron@debian.org>  Sun, 12 Aug 2012 14:51:48 +0800

kcm-fcitx (0.4.0-1) experimental; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 12 Aug 2012 13:52:41 +0800
