=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev (>= 4.2.0),
- intltool, kdelibs5-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext, fcitx-bin,
+ fcitx-libs-dev (>= 1:4.2.8), kdelibs5-dev, libxkbfile-dev
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/fcitx
-Vcs-Git: git://git.debian.org/pkg-ime/kcm-fcitx.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/kcm-fcitx.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/kcm-fcitx.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/kcm-fcitx.git
 
 Package: kde-config-fcitx
 Architecture: any
