=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/kcm-fcitx-*\.*(.*)\.tar\.xz
