=== debian/changelog ===
kcm-fcitx (0.5.0-0ubuntu2) vivid; urgency=medium

  * In debian/rules override configure to install in correct paths
  * Remove unused kde4 build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Mar 2015 12:37:55 +0200

kcm-fcitx (0.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for KF5 support

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 26 Mar 2015 05:49:20 +0800
