=== debian/control ===
Source: kcm-fcitx
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               fcitx-bin,
               fcitx-libs-dev (>= 1:4.2.8),
               libfcitx-qt5-dev (>= 1.0.1),
               gettext,
               libkf5kcmutils-dev,
               libkf5newstuff-dev,
               libxkbfile-dev,
               pkg-config
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/kcm-fcitx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/kcm-fcitx.git

Package: kde-config-fcitx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE configuration module for Fcitx
 This is a configuration module for System Settings for configuring
 the Free Chinese Input Toy of X.
 .
 It is designed to have similar functionalities to fcitx-config-gtk,
 with better KDE integration.
