=== layout/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 fcitx_translate_add_sources(${kbd_layout_viewer_SOURCES}
   kbd-layout-viewer.desktop.in)
 
-kde4_add_executable(kbd-layout-viewer ${kbd_layout_viewer_SOURCES})
+add_executable(kbd-layout-viewer ${kbd_layout_viewer_SOURCES})
 
 target_link_libraries(kbd-layout-viewer ${FCITX4_FCITX_CONFIG_LIBRARIES} ${KDE4_KDEUI_LIBRARY} ${X11_X11_LIB} ${XKBFILE_LIBRARIES})
 
@@ -19,4 +19,4 @@
   kbd-layout-viewer.desktop.in
   "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop")
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop"
-  DESTINATION ${KDE4_XDG_APPS_INSTALL_DIR})
+  DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})
