=== src/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 add_library(kcm_fcitx MODULE ${kcm_SRCS})
 
 target_link_libraries(kcm_fcitx
+  Qt5::Widgets
   KF5::CoreAddons
   KF5::WidgetsAddons
   KF5::KCMUtils
