=== debian/changelog ===
kcm-fcitx (0.5.3-2) unstable; urgency=medium

  * Install to default Qt5 plugin path (Closes: #809193)

 -- Aron Xu <happyaron.xu@gmail.com>  Sun, 10 Jan 2016 09:31:36 +0800

kcm-fcitx (0.5.3-1) unstable; urgency=medium

  * Imported Upstream version 0.5.3
  * std-ver: 3.9.4->3.9.6
  * Update upstream url
  * Update dep5 url
  * Update copyright
  * Drop pkg-kde-tools

 -- Aron Xu <aron@debian.org>  Mon, 28 Dec 2015 00:45:00 +0800
