=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kcm-fcitx
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -11,12 +10,13 @@
                fcitx-libs-dev (>= 1:4.2.8),
                libfcitx-qt5-dev (>= 1.0.1),
                gettext,
+               kdelibs5-dev,
                libkf5kcmutils-dev,
                libkf5newstuff-dev,
                libxkbfile-dev,
-               pkg-config
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/fcitx
+               pkg-config,
+Standards-Version: 3.9.6
+Homepage: https://fcitx-im.org
 Vcs-Git: git://anonscm.debian.org/pkg-ime/kcm-fcitx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/kcm-fcitx.git
