=== debian/rules ===
#!/usr/bin/make -f

export LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DLIB_INSTALL_DIR=$(LIB_INSTALL_DIR) \
	    -DCMAKE_INSTALL_PLUGINDIR=$(LIB_INSTALL_DIR)/qt5/plugins
