## kcm-fcitx 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
 project(kcm-fcitx)
 
 set(QT_MIN_VERSION "5.3.0")
@@ -10,24 +10,24 @@
 include(FeatureSummary)
 option(ENABLE_TEST "Enable test" Off)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras)
 
 find_package(KF5 REQUIRED COMPONENTS
     CoreAddons
     WidgetsAddons
-    KCMUtils
+    ConfigWidgets
     ItemViews
     I18n
     KIO
     NewStuff
 )
 
-find_package(FcitxQt5DBusAddons REQUIRED)
-find_package(FcitxQt5WidgetsAddons REQUIRED)
+find_package(FcitxQt5DBusAddons 1.1.0 REQUIRED)
+find_package(FcitxQt5WidgetsAddons 1.1.0 REQUIRED)
 
 set(MAJOR_VERSION "0")
 set(MINOR_VERSION "5")
-set(PATCH_VERSION "3")
+set(PATCH_VERSION "4")
 set(SUFFIX_VERSION "")
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -43,6 +43,7 @@
 find_package(Gettext REQUIRED)
 find_package(Fcitx 4.2.8 REQUIRED)
 find_package(XkbFile REQUIRED)
+find_package(X11 REQUIRED)
 
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
 set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
@@ -76,16 +77,14 @@
     ${FCITX4_FCITX_INCLUDE_DIRS}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
     ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
-    ${FCITX_QT_INCLUDE_DIRS}
     )
 
 link_directories(
     ${FCITX4_FCITX_LIBRARY_DIRS}
     ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
     ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
-    ${FCITX_QT_LIBRARY_DIRS}
     )
 
 add_subdirectory(po)
 add_subdirectory(src)
-#add_subdirectory(layout)
+add_subdirectory(layout)
