=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,8 @@
   verticalscrollarea.cpp
   fontbutton.cpp
   configpage.cpp
-  plugindialog.cpp
   erroroverlay.cpp
-#   ../layout/keyboardlayoutwidget.cpp
+  ../layout/keyboardlayoutwidget.cpp
   )
 
 set(kcm_UIS module.ui skinpage.ui impage.ui fontbutton.ui configpage.ui)
@@ -33,9 +32,10 @@
 
 target_link_libraries(kcm_fcitx
   Qt5::Widgets
+  Qt5::X11Extras
   KF5::CoreAddons
   KF5::WidgetsAddons
-  KF5::KCMUtils
+  KF5::ConfigWidgets
   KF5::ItemViews
   KF5::I18n
   KF5::KIOCore
@@ -47,6 +47,7 @@
   ${FCITX4_FCITX_CONFIG_LIBRARIES}
   ${FCITX4_FCITX_LIBRARIES}
   ${LIBINTL_LIBRARY}
+  ${X11_X11_LIB} ${XKBFILE_LIBRARIES} ${X11_Xkblib_LIB}
   )
 
 install(TARGETS kcm_fcitx DESTINATION ${CMAKE_INSTALL_PLUGINDIR})
