=== debian/changelog ===
kcm-fcitx (0.5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #873068)
  * Drop build dependency on kdelibs5-dev. (Closes: #883587)
  * Refresh packaging instructions.
    + Apply "wrap-and-sort -abst".
    + Bump cmake version requirement.
    * Bump Standards-Version to 4.1.2.
    + Use canonical Vcs URL.
    + Use GitHub as homepage.
    + Bump debhelper compat to v10.
  * Remove trailing spaces in d/changelog.
  * Point d/watch file to download.fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 09 Dec 2017 13:40:15 +0800
