=== debian/control ===
Source: kcm-fcitx
Section: kde
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <wzssyqa@gmail.com>,
Build-Depends:
 cmake (>= 3.3),
 debhelper (>= 10),
 extra-cmake-modules,
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.8),
 gettext,
 libfcitx-qt5-dev (>= 1.1.0),
 libx11-dev,
 libqt5x11extras5-dev,
 libkf5newstuff-dev,
 libkf5configwidgets-dev,
 libxkbfile-dev,
 pkg-config,
Standards-Version: 4.1.2
Homepage: https://github.com/fcitx/kcm-fcitx
Vcs-Git: https://anonscm.debian.org/git/pkg-ime/kcm-fcitx.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/kcm-fcitx.git

Package: kde-config-fcitx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: KDE configuration module for Fcitx
 This is a configuration module for System Settings for configuring
 the Free Chinese Input Toy of X.
 .
 It is designed to have similar functionalities to fcitx-config-gtk,
 with better KDE integration.
