=== debian/changelog ===
kcm-fcitx (0.5.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Thu, 28 Jan 2021 10:17:46 +0800

kcm-fcitx (0.5.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Set maintainer to debian-input-method mailing list (Closes: #899561).
    + Update YunQiang Su's email address and use the @debian.org one.
    + debian/control: Bump debhelper compat to v11.
    + Bump Standards-Version to 4.2.0 (no changes needed).
    + Update Vcs fields and use git repo under Salsa platform.
    + Update homepage field and use the repo on gitlab.com.
  * debian/rules: Modernize rules file and explicitly include architecture.mk.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 03 Aug 2018 20:55:49 +0800
