## kcm-fcitx 0.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
 project(kcm-fcitx)
 
-set(QT_MIN_VERSION "5.3.0")
+set(QT_MIN_VERSION "5.11.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(KDEInstallDirs)
@@ -12,14 +12,13 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras)
 
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF5 5.64 REQUIRED COMPONENTS
     CoreAddons
     WidgetsAddons
     ConfigWidgets
     ItemViews
     I18n
     KIO
-    NewStuff
 )
 
 find_package(FcitxQt5DBusAddons 1.1.0 REQUIRED)
