=== debian/changelog ===
kcm-fcitx (0.5.6-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against GCC 10. (Closes: #957399)
  * debian/upstream/metadata: Add a metadata file.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Jul 2020 22:22:51 -0400

kcm-fcitx (0.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.5.6.
  * debian/control:
    + Bump Standards-Version to 4.5.0, debhelper compat to v13.
    + Update homepage information back to github project.
    + Refresh build-dependency information.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 17:29:36 -0400
