## kcm-fcitx 0.5.6+git20221120

=== layout/CMakeLists.txt ===
--- 
+++ 
@@ -19,4 +19,4 @@
   kbd-layout-viewer.desktop.in
   "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop")
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop"
-  DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})
+  DESTINATION ${CMAKE_INSTALL_APPDIR})
