=== debian/changelog ===
kcm-fcitx (0.5.6+git20221120-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113068)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 16:39:33 +0300

kcm-fcitx (0.5.6+git20221120-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, fcitx-libs-dev and
      libfcitx-qt5-dev.

  [ Boyuan Yang ]
  * New upstream snapshot.
    + Translation updates.
    + Various fixes.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Feb 2023 12:58:18 -0500
