=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Aron Xu <aron@debian.org>,
  YunQiang Su <syq@debian.org>,
 Build-Depends:
- cmake (>= 3.11~),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx-bin,
- fcitx-libs-dev (>= 1:4.2.8),
+ fcitx-libs-dev,
  gettext,
- libfcitx-qt5-dev (>= 1.1.0),
+ libfcitx-qt5-dev,
  libkf5configwidgets-dev,
  libkf5itemviews-dev,
  libkf5kio-dev,
@@ -21,7 +21,7 @@
  libxkbfile-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/kcm-fcitx
 Vcs-Git: https://salsa.debian.org/input-method-team/kcm-fcitx.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/kcm-fcitx
