=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE = 1
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND =
+export QT_SELECT := 5
+
+include /usr/share/dpkg/architecture.mk
 
 export LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
