=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/kcm-fcitx/ \
 kcm-fcitx-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
